MPD: pcm/PcmChannels.hxx File Reference

MPD 0.20.15

Data Structures | Functions
PcmChannels.hxx File Reference
`#include <stdint.h>`
Include dependency graph for PcmChannels.hxx:

Go to the source code of this file.

## Data Structures
struct | ConstBuffer< T >
| A reference to a memory area that is read-only. More...

## Functions
ConstBuffer< int16_t > | pcm_convert_channels_16 (PcmBuffer &buffer, unsigned dest_channels, unsigned src_channels, ConstBuffer< int16_t > src)
| Changes the number of channels in 16 bit PCM data. More...
ConstBuffer< int32_t > | pcm_convert_channels_24 (PcmBuffer &buffer, unsigned dest_channels, unsigned src_channels, ConstBuffer< int32_t > src)
| Changes the number of channels in 24 bit PCM data (aligned at 32 bit boundaries). More...
ConstBuffer< int32_t > | pcm_convert_channels_32 (PcmBuffer &buffer, unsigned dest_channels, unsigned src_channels, ConstBuffer< int32_t > src)
| Changes the number of channels in 32 bit PCM data. More...
ConstBuffer< float > | pcm_convert_channels_float (PcmBuffer &buffer, unsigned dest_channels, unsigned src_channels, ConstBuffer< float > src)
| Changes the number of channels in 32 bit float PCM data. More...

## Function Documentation

## ◆ pcm_convert_channels_16()

ConstBuffer<int16_t> pcm_convert_channels_16 | ( | PcmBuffer & | buffer,
|  | unsigned | dest_channels,
|  | unsigned | src_channels,
|  | ConstBuffer< int16_t > | src
| ) |  |

Changes the number of channels in 16 bit PCM data.

Parameters

  buffer | the destination pcm_buffer object
  dest_channels | the number of channels requested
  src_channels | the number of channels in the source buffer
  src | the source PCM buffer

Returns
  the destination buffer

## ◆ pcm_convert_channels_24()

ConstBuffer<int32_t> pcm_convert_channels_24 | ( | PcmBuffer & | buffer,
|  | unsigned | dest_channels,
|  | unsigned | src_channels,
|  | ConstBuffer< int32_t > | src
| ) |  |

Changes the number of channels in 24 bit PCM data (aligned at 32 bit boundaries).

Parameters

  buffer | the destination pcm_buffer object
  dest_channels | the number of channels requested
  src_channels | the number of channels in the source buffer
  src | the source PCM buffer

Returns
  the destination buffer

## ◆ pcm_convert_channels_32()

ConstBuffer<int32_t> pcm_convert_channels_32 | ( | PcmBuffer & | buffer,
|  | unsigned | dest_channels,
|  | unsigned | src_channels,
|  | ConstBuffer< int32_t > | src
| ) |  |

Changes the number of channels in 32 bit PCM data.

Parameters

  buffer | the destination pcm_buffer object
  dest_channels | the number of channels requested
  src_channels | the number of channels in the source buffer
  src | the source PCM buffer

Returns
  the destination buffer

## ◆ pcm_convert_channels_float()

ConstBuffer<float> pcm_convert_channels_float | ( | PcmBuffer & | buffer,
|  | unsigned | dest_channels,
|  | unsigned | src_channels,
|  | ConstBuffer< float > | src
| ) |  |

Changes the number of channels in 32 bit float PCM data.

Parameters

  buffer | the destination pcm_buffer object
  dest_channels | the number of channels requested
  src_channels | the number of channels in the source buffer
  src | the source PCM buffer

Returns
  the destination buffer